Language

Package: perl-class-load @ 0.25

Synopsis

Working (require "Class::Name") and more

Description

"require EXPR" only accepts Class/Name.pm style module names, not Class::Name. For that, this module provides "load_class 'Class::Name'".

Home page
https://metacpan.org/release/Class-Load
Location
gnu/packages/perl.scm (line: 1641, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/a1dgwns29hlz7j59pvms1wq23mh76rax-perl-class-load-0.25.drv
x86_64-linuxxtensa-ath9k-elf/gnu/store/kqizc9ylhpkpivcjlkmbdidd2vzvn67j-perl-class-load-0.25.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/7bkvr6ryn8r4w2cpxy86plzkl0v94bzq-perl-class-load-0.25.drv
x86_64-linuxx86_64-linux-gnux32/gnu/store/2dq3g0q6zgpaf68j6rvx8yik2miq9q4d-perl-class-load-0.25.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/7435qbgra03853sv636a8kld2m64fwc8-perl-class-load-0.25.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/3lijn157syf6vs28f7xwa5gqpk6b39ha-perl-class-load-0.25.drv
x86_64-linuxpowerpc64-linux-gnu/gnu/store/fx17aq43z0c4lkdxvhlr2wnqac7ysr2h-perl-class-load-0.25.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/9gb749rrljrz8pzvljbzm2yxxpvh176v-perl-class-load-0.25.drv
x86_64-linuxor1k-elf/gnu/store/65b2081qqs4alvnqqjh81kavq1sg7ffy-perl-class-load-0.25.drv
x86_64-linuxmips64el-linux-gnu/gnu/store/r6v5j31c4vnx063zwx6k6cax5z9rj42r-perl-class-load-0.25.drv
x86_64-linuxi686-w64-mingw32/gnu/store/ha323vigkn5v9ssslrv0n3krr5p3d91y-perl-class-load-0.25.drv
x86_64-linuxi586-pc-gnu/gnu/store/vw0rq5sgpzmjp2brcw241hc99770373k-perl-class-load-0.25.drv
x86_64-linuxavr/gnu/store/jkkirwikn2g8nj1rlbjhxkgfr8h6cc5s-perl-class-load-0.25.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/6x6x45ymiz315dl4vch8904x2i4ivs2n-perl-class-load-0.25.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/b0sdzr39wac1063a90dx9vv8lzm57wlh-perl-class-load-0.25.drv
riscv64-linux/gnu/store/zvq38kdya4sf45b33a1rrh4hjvi9fc3y-perl-class-load-0.25.drv
powerpc-linux/gnu/store/6g9y022gjcq0ibqf1cip49yrj679yll2-perl-class-load-0.25.drv
    powerpc64le-linux/gnu/store/y0yqirr13fa62br8yk46l1hmwjpm1pca-perl-class-load-0.25.drv
    mips64el-linux/gnu/store/3vq0rmki1mnfbrrh6dmizwbcczp5y59p-perl-class-load-0.25.drv
      i686-linux/gnu/store/fqmqg6z9fca14ascqrchyaqb19ymydzw-perl-class-load-0.25.drv
      i586-gnu/gnu/store/a9vsik170jwmw0sjkgkydlgwpghf4qmg-perl-class-load-0.25.drv
      armhf-linux/gnu/store/l92yznjdjxxaxfcbdvz2xfzkbsc7w8n3-perl-class-load-0.25.drv
      aarch64-linux/gnu/store/7hwixc390j9jp4n6x6mv0cwxi9rdqc2m-perl-class-load-0.25.drv

      Lint warnings

      LinterMessageLocation
      description

      Validate package descriptions

      use @code or similar ornament instead of quotes